with_edge_ {igraph} | R Documentation

## Constructor modifier to add edge attributes

### Description

Constructor modifier to add edge attributes

### Usage

    with_edge_(...)

### Arguments

`...` | The attributes to add. They must be named.

### See Also

Other constructor modifiers: `simplified`, `with_graph_`, `with_vertex_`, `without_attr`, `without_loops`, `without_multiples`

### Examples

    make_(ring(10),
      with_edge_(
        color = "red",
        weight = rep(1:2, 5))) %>%
      plot()

[Package igraph version 1.1.2 Index]